icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

FlexCast < 2.0 Remote Overflow

High

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running FlexCast, a streaming audio and video server. This version of FlexCast is vulnerable to a remote buffer overflow. An attacker exploiting this flaw would be able to execute arbitrary code on the remote system. (CVE-2005-1897)

Solution

Upgrade to version 2.0 or higher.